# cWarSpell Class Reference

Inheritance diagram for cWarSpell:

List of all members.

## Public Member Functions

| cWarSpell (DWORD dwGUID, DWORD dwSpellID, cLocation &Loc, cVelocity tarVel, DWORD dwSpellModel)
cMessage | CreatePacket ()
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
cMessage | WarParticle (cWarSpell *pcWarSpell, DWORD dwEffect, float flSpeed)
cMessage | SpellAnim (cWarSpell *pcWarSpell, WORD wWarAnim, WORD wWarAnim2)
cMessage | SetPosition ()
cMessage | SpellImpact (cWarSpell *pcWarSpell, DWORD dwEffect, float flSpeed)
cMessage | SpellVis (cWarSpell *pcWarSpell)

## Static Public Member Functions

static int | Move (LPVOID wp, LPVOID lp)

## Friends

class | cClient

## Constructor & Destructor Documentation

cWarSpell::cWarSpell | ( | DWORD | dwGUID,
|  | DWORD | dwSpellID,
|  | cLocation & | Loc,
|  | cVelocity | tarVel,
|  | DWORD | dwSpellModel |
| ) |  |  | `[inline]`

A constructor.

Called whenever a warspell object is initialized.

## Member Function Documentation

void cWarSpell::Action | ( | cClient * | who | ) | `[virtual]`

Handles the general actions of war spell objects.

Implements cObject.

void cWarSpell::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of war spell objects. This should not be called.

Reimplemented from cObject.

cMessage cWarSpell::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of war spells.

This function is called whenever a war spells should be created for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

int cWarSpell::Move | ( | LPVOID | wp,
|  | LPVOID | lp |
| ) |  |  | `[static]`

Handles the movement of war spells.

This function is called whenever a war spell's position should be updated.

cMessage cWarSpell::SetPosition | ( |  | ) | `[virtual]`

Sets the location for war spell objects.

This function is called whenever the location of a war spell should be updated for a client.

Returns:
  cMessage - Returns a Set Position and Motion (0x0000F748) server message.

Reimplemented from cObject.

cMessage cWarSpell::SpellAnim | ( | cWarSpell * | pcWarSpell,
|  | WORD | wWarAnim,
|  | WORD | wWarAnim2 |
| ) |  |  |

Sends a war spell animation.

This function is called when an animation for a war spell should sent to a client.

Returns:
  cMessage - Returns a Set Animation (0x0000F74C) server message.

cMessage cWarSpell::SpellImpact | ( | cWarSpell * | pcWarSpell,
|  | DWORD | dwEffect,
|  | float | flSpeed |
| ) |  |  |

Impact effects for war spell objects.

This function is called when a war spell should display an impact effect.

Returns:
  cMessage - Returns an Apply Visual/Sound Effect (0x0000F755) server message.

cMessage cWarSpell::SpellVis | ( | cWarSpell * | pcWarSpell | ) |

Toggles war spell visibility.

This function is called when the visibility of a war spell should change for a client.

Returns:
  cMessage - Returns a Toggle Object Visibility (0x0000F74B) server message.

cMessage cWarSpell::WarParticle | ( | cWarSpell * | pcWarSpell,
|  | DWORD | dwEffect,
|  | float | flSpeed |
| ) |  |  |

Particle effects for war spell objects.

This function is called when a war spell should display a particle effect.

Returns:
  cMessage - Returns an Apply Visual/Sound Effect (0x0000F755) server message.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/WarSpell.cpp